Subject: Re: bug#6385: A slightly less aggressive fit-window-to-buffer

From: martin rudalics <[email-masked]>
Date: Sun, 13 Jun 2010 19:44:58 +0200

> I think it is very practical to be able to do let-bind
 > window-min-height this way. I can look at the code of course and found
 > out, but where is is possible deleting of small height windows done?

With the first call to delete_window in enlarge_window.  This deletes
the argument window if its new size is less than `window-min-height'.
And size_window calls delete_window on any window whose size has become
too small when (virtually) resizing a parent window back to its original
size.

 > Is there a thought behind it or is it a bug?

The thought behind it was probably that anyone who wants to enlarge a
window also accepts that other windows may get deleted in the process.
I suppose "collateral damage" has become the terminus technicus for such
behavior.

martin